////////////////////////
// x86 timer routines //
////////////////////////

#ifndef __X86_TIME_H
#define __X86_TIME_H





// timer type constants
const TIMER_PIT     = 0;
const TIMER_PENTIUM = 1;





// external data
extern "C" long double TIMER_Constant_X86;


int TIMER_Init(int timer);
#pragma aux TMRinit parm caller [eax] value [eax]

void        TMRremove(void);

long double TMRgettime(void);
#pragma aux TMRgettime value [8087]

#endif
